Bug 252133 - Review Request: quicksynergy - GTK frontend for synergy
Review Request: quicksynergy - GTK frontend for synergy
Status: CLOSED DUPLICATE of bug 442263
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-08-14 01:07 EDT by Andrew Alm
Modified: 2008-04-20 15:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-27 10:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Alm 2007-08-14 01:07:53 EDT
Spec URL: http://shadowarts.nonlogic.org/projects/fedora/quicksynergy/quicksynergy.spec
SRPM URL: http://shadowarts.nonlogic.org/projects/fedora/quicksynergy/quicksynergy-0.7-1.fc7.src.rpm
Description: QuickSynergy is a GTK frontend for the keyboard and mouse sharing application synergy (think software kvm).  It allows you to quickly and easily configure synergy to be either the client or the server.  I find it extremely useful and much more convenient then editing the configuration file for synergy all the time.  Inexperienced users would benefit from this a lot.  This is my try at a package so I am also seeking a sponsor.  Thanks!
Comment 1 Jens Petersen 2007-09-07 03:46:12 EDT
You need to "Buildrequire: synergy" too.
Comment 2 Mamoru TASAKA 2007-09-07 04:10:40 EDT
Hello, Andrew:

Well, I must say there are some issues to be fixed on your
spec file. You can check how to write your spec file on
the following URL. Please read them first.

http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

A. Description stage:
* SourceURL
  - For sourceforge source, please refer to:
    http://fedoraproject.org/wiki/Packaging/SourceURL

* BuildRequires
  - "gcc" is in the "expection" of BuildRequires (see
    "Exceptions" of
    http://fedoraproject.org/wiki/Packaging/Guidelines )

B. %prep/%build/%install stage
* Macros
  - Please use macros properly
    http://fedoraproject.org/wiki/Packaging/RPMMacros
    For example, /usr/bin should be %{_bindir}.

* Debuginfo issue
  http://fedoraproject.org/wiki/Packaging/Debuginfo
  - Please don't strip binaries by yourself.
    Stripping binaries disables to create debuginfo rpm.

* Timestamp
  - Please keep timestamp. When using "install" command,
    add "-p" option.

* desktop-file-install
  - Desktop file must be installed by using "desktop-file-install"
    ("BuildRequires: desktop-file-utils" is needed)
  - Note: Category "Application" is deprecated and should be
          removed (please check "desktop-file-install" usage).

* GTK+ icon
  - For 48x48 desktop icon, please move it to
    %_datadir/icons/hicolor/48x48/apps and call gtk-update-icon-cache
    (please check: "GTK+ icon cache" of
     http://fedoraproject.org/wiki/Packaging/ScriptletSnippets )

C. scriptlets
* update-desktop-database
  - The included desktop file does not contain any mime type
    and calling "update-desktop-database" is not needed.

D. %files entry
* Documents
  - File "INSTALL" is for people who want to compile and install
    this package by themselves and not needed for people
    installing this package by using rpm.

* gettext .mo file
  - Gettext .mo files should be installed by using %find_lang.
    Check the section "Handling Locale Files" of
    http://fedoraproject.org/wiki/Packaging/Guidelines

Other things are:
* Rebuild
  - Rebuild itself fails.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=150879
Comment 3 Mamoru TASAKA 2007-09-12 11:32:04 EDT
ping?
Comment 4 Andrew Alm 2007-09-12 23:42:28 EDT
Spec URL:
http://shadowarts.nonlogic.org/projects/fedora/quicksynergy-0.7-2/quicksynergy.spec
SRPM URL:
http://shadowarts.nonlogic.org/projects/fedora/quicksynergy-0.7-2/quicksynergy-0.7-2.fc7.src.rpm

Here is an updated spec file, I think I knocked down all the bugs.  Sorry for
the long time to respond, just got back to school last week and was getting
situated, etc.  Let me know if there are any other problems.
Comment 5 Mamoru TASAKA 2007-09-13 03:40:09 EDT
For 0.7-2:

* The remaining issues
  - Still the two issues mentioned above are not fixed
    * "INSTALL" document is not needed
    * desktop file must be installed by "desktop-file-install"

* Redundant BuildRequires
  - Check if the following BuildRequires are really needed.
----------------------------------------------------
    autoconf automake gettext
----------------------------------------------------
    For me they don't seem to be needed.

Other things are okay. Then:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 6 Andrew Alm 2007-09-13 13:38:15 EDT
Spec URL:
http://shadowarts.nonlogic.org/projects/fedora/quicksynergy-0.7-3/quicksynergy.spec
SRPM URL:
http://shadowarts.nonlogic.org/projects/fedora/quicksynergy-0.7-3/quicksynergy-0.7-3.fc7.src.rpm

Alright I think I fixed everything now... finally.   Your right about autoconf
automake and gettext, I don't need them.  Sorry about the two repeat issues, I
thought I had fixed them already but maybe I forgot to save.  Anyway let me know
if it is good now.
Comment 7 Mamoru TASAKA 2007-09-14 09:17:40 EDT
Okay, now quicksynergy itself is okay.

So would you do a pre-review or submit another review request
(my comment 5)?
Comment 8 Mamoru TASAKA 2007-09-20 09:27:51 EDT
ping?
Comment 9 Mamoru TASAKA 2007-09-27 08:50:05 EDT
ping again?
Comment 10 Mamoru TASAKA 2007-10-04 02:53:54 EDT
ping again??
Comment 11 Mamoru TASAKA 2007-10-15 11:15:17 EDT
I will close this bug as NOTABUG if no response is received
from the reporter within ONE WEEK.
Comment 12 Mamoru TASAKA 2007-10-24 09:12:31 EDT
I will close this bug as NOTABUG if no response is received
from the reporter within TWO DAYS.
Comment 13 Mamoru TASAKA 2007-10-27 10:40:04 EDT
CLOSING.

If someone wants to import this package into Fedora, please
open a new review request, thank you.
Comment 14 Lubomir Kundrak 2008-04-20 15:30:31 EDT

*** This bug has been marked as a duplicate of 442263 ***

Note You need to log in before you can comment on or make changes to this bug.